Migration guides

Migrating to Worker v2.11
Migrating to Worker v2.10
Migrating to Worker v2.9.5
Migrating to Worker v2.9
Migrating to Worker v2.8
Migrating to Worker v2.7
Migrating to Worker v2.6
Migrating to Worker v2.5
Migrating to Worker v2.4

Compatibility Table

Lightly WorkerLightly Python API ClientConfig
v2.11.Xv1.5.xv4
v2.9.5<=v2.9.X, v2.10.Xv1.4.21<=v1.4.Xv3
v2.6.X, v2.7.X, v2.8.X, v2.9.X<=v2.9.4v1.4.X<=v1.4.20v3
v2.5.Xv1.3.Xv2
v2.4.X or lowerv1.2.X or lowerv0

The Lightly Worker only picks up runs scheduled with a compatible Lightly Python Client that has a matching config version. To process runs scheduled with different Lightly Python Client versions, please run multiple workers with the corresponding versions. See our FAQ if you encounter issues with jobs not being picked up.